This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 207822 - README.fedora contains incorrect installation instructions
README.fedora contains incorrect installation instructions
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: wordpress (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: John Berninger
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-23 19:48 EDT by Mike Lococo
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.0.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 18:20:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike Lococo 2006-09-23 19:48:45 EDT
Description of problem:

/usr/share/doc/wordpress-2.0.4/README.fedora specifies that the correct command
to create a mysql user for wordpress is:

grant all privileges on wordpress.* to wordpress identified by 'wordpress';

When I do this on an up to date FC5 system, wordpress is unable to access the
database.  Additionally I am unable to log into mysql with "mysql -u wordpress
-p", instead getting an access denied error.  I believe the correct mysql
command to issue is:

grant all privileges on wordpress.* to wordpress@localhost identified by
'wordpress';

Except for this error, the install docs are clear and readable regarding the
installation procedure.  Thanks for creating them.
Comment 1 John Berninger 2006-10-26 21:28:44 EDT
Doc updated, new packages built and waiting sync now.  Sorry for the delay.
Comment 2 Mike Lococo 2007-01-14 23:07:39 EST
This bug still exists in 2.0.5-1 on FC6.  Perhaps it regressed by accident at
some point?
Comment 3 John Berninger 2007-01-22 18:20:17 EST
Taken from the /usr/share/doc/wordpress-2.0.5/README.fedora file on a
just-installed wordpress package in FC6:

Under certain curcumstances, you may need to run variations of the "grant"
command:
mysql> grant all privileges on wordpress.* to wordpress@localhost identified by 
'wordpress';
   OR
mysql> grant all privileges on wordpress.* to wordpress@'%' identified by 'wordp
ress';

Note You need to log in before you can comment on or make changes to this bug.